---
fdRelatedComponents:
  - fd-list
  - fd-list-item
  - fd-list-header
  - fd-list-footer
  - fd-list-title
  - fd-list-secondary
  - fd-list-icon
---

# List
In Fundamental Vue, we distinguish between tables and lists. Both usually contain homogeneous data, but lists generally have rather basic data, whereas the data in tables tends to be more complex. Lists are mostly used in the main list for a main-detail scenario using the flexible column layout, as well as in popovers or dialogs.

## Standard List

<d-example name="standard">
</d-example>

## List with selected/active Items

<d-example name="active-selected">
</d-example>

## Compact List

<d-example name="compact">
</d-example>

## Secondary Data

<d-example name="secondary">
</d-example>

## List with Icons

Placing an `fd-list-icon` before the title renders a nice icon – properly laid out.

::: tip

`fd-list-icon` is simply a thin wrapper around `fd-icon`. Thus you can use every `fd-icon`-prop on `fd-list-icon` as well.

:::

<d-example name="icons">
</d-example>

## List with Icons (right)

<d-example name="icons-right">
</d-example>

## List with Group Header

<d-example name="header">
</d-example>

## List with Footer

<d-example name="footer">
</d-example>

## List without Border

<d-example name="borderless">
</d-example>

## List & Dropdowns

<d-example name="dropdown">
</d-example>

## List & Multi Inputs

<d-example name="multi-input">
</d-example>
